package com.sztzjy.money_management.annotation;

import com.sztzjy.money_management.annotation.aspect.PermissionType;

import java.lang.annotation.*;

/**
 * 权限切面控制
 * 标识符
 * @author 陈沅
 *
 * 2023年6月30日
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Permission {

    /**
     * 默认授权限制类型：MANAGER
     * 设置多值列如：{o1,02}
     * 多值表示或者的关系，既只需满足其中一个角色，即可授权
     * @return string
     */
    String[] codes() default {PermissionType.TERMINAL_MANAGEMENT};
}
