package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例-财务分析-资产负债表
 *
 * @author xcj
 * case_finance_liability
 */
public class CaseFinanceLiability {
    @ApiModelProperty("案例-财务分析-资产负债表id")
    private String caseFinanceLiabilityId;

    @ApiModelProperty("案例题id")
    private String caseId;

    @ApiModelProperty("现金")
    private BigDecimal cash;

    @ApiModelProperty("人民币银行活存")
    private BigDecimal rmbDeposit;

    @ApiModelProperty("其他流动资产")
    private BigDecimal otherAsset;

    @ApiModelProperty("人民币银行定存")
    private BigDecimal rmbFixedDeposit;

    @ApiModelProperty("外币银行定存")
    private BigDecimal foreignCurrencyFixedDeposit;

    @ApiModelProperty("股票投资")
    private BigDecimal stockInvestment;

    @ApiModelProperty("债券投资")
    private BigDecimal bondInvestment;

    @ApiModelProperty("基金投资")
    private BigDecimal fundInvestment;

    @ApiModelProperty("实业投资")
    private BigDecimal industryInvestment;

    @ApiModelProperty("投资性房地产")
    private BigDecimal estateInvestment;

    @ApiModelProperty("保单现金价值")
    private BigDecimal policyInvestment;

    @ApiModelProperty("其他投资性资产")
    private BigDecimal otherInvestment;

    @ApiModelProperty("自用房地产")
    private BigDecimal estate;

    @ApiModelProperty("自用汽车")
    private BigDecimal car;

    @ApiModelProperty("自用其他资产")
    private BigDecimal others;

    @ApiModelProperty("资产合计")
    private BigDecimal totalAssets;

    @ApiModelProperty("信用卡欠款")
    private BigDecimal creditCard;

    @ApiModelProperty("小额消费信贷")
    private BigDecimal microfinance;

    @ApiModelProperty("其他消费性负债")
    private BigDecimal otherLoan;

    @ApiModelProperty("金融投资借款")
    private BigDecimal financialLoan;

    @ApiModelProperty("实业投资借款")
    private BigDecimal industryInvestmentLoan;

    @ApiModelProperty("投资性房地产按揭贷款")
    private BigDecimal estateInvestmentLoan;

    @ApiModelProperty("其他投资性负债")
    private BigDecimal otherInvestmentLoan;

    @ApiModelProperty("自用房地产贷款")
    private BigDecimal estateLoan;

    @ApiModelProperty("自用汽车贷款")
    private BigDecimal carLoan;

    @ApiModelProperty("其他自用贷款")
    private BigDecimal othersLoan;

    @ApiModelProperty("负债合计")
    private BigDecimal totalLoan;

    @ApiModelProperty("净值合计")
    private BigDecimal totalNet;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    public String getCaseFinanceLiabilityId() {
        return caseFinanceLiabilityId;
    }

    public void setCaseFinanceLiabilityId(String caseFinanceLiabilityId) {
        this.caseFinanceLiabilityId = caseFinanceLiabilityId == null ? null : caseFinanceLiabilityId.trim();
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public BigDecimal getCash() {
        return cash;
    }

    public void setCash(BigDecimal cash) {
        this.cash = cash;
    }

    public BigDecimal getRmbDeposit() {
        return rmbDeposit;
    }

    public void setRmbDeposit(BigDecimal rmbDeposit) {
        this.rmbDeposit = rmbDeposit;
    }

    public BigDecimal getOtherAsset() {
        return otherAsset;
    }

    public void setOtherAsset(BigDecimal otherAsset) {
        this.otherAsset = otherAsset;
    }

    public BigDecimal getRmbFixedDeposit() {
        return rmbFixedDeposit;
    }

    public void setRmbFixedDeposit(BigDecimal rmbFixedDeposit) {
        this.rmbFixedDeposit = rmbFixedDeposit;
    }

    public BigDecimal getForeignCurrencyFixedDeposit() {
        return foreignCurrencyFixedDeposit;
    }

    public void setForeignCurrencyFixedDeposit(BigDecimal foreignCurrencyFixedDeposit) {
        this.foreignCurrencyFixedDeposit = foreignCurrencyFixedDeposit;
    }

    public BigDecimal getStockInvestment() {
        return stockInvestment;
    }

    public void setStockInvestment(BigDecimal stockInvestment) {
        this.stockInvestment = stockInvestment;
    }

    public BigDecimal getBondInvestment() {
        return bondInvestment;
    }

    public void setBondInvestment(BigDecimal bondInvestment) {
        this.bondInvestment = bondInvestment;
    }

    public BigDecimal getFundInvestment() {
        return fundInvestment;
    }

    public void setFundInvestment(BigDecimal fundInvestment) {
        this.fundInvestment = fundInvestment;
    }

    public BigDecimal getIndustryInvestment() {
        return industryInvestment;
    }

    public void setIndustryInvestment(BigDecimal industryInvestment) {
        this.industryInvestment = industryInvestment;
    }

    public BigDecimal getEstateInvestment() {
        return estateInvestment;
    }

    public void setEstateInvestment(BigDecimal estateInvestment) {
        this.estateInvestment = estateInvestment;
    }

    public BigDecimal getPolicyInvestment() {
        return policyInvestment;
    }

    public void setPolicyInvestment(BigDecimal policyInvestment) {
        this.policyInvestment = policyInvestment;
    }

    public BigDecimal getOtherInvestment() {
        return otherInvestment;
    }

    public void setOtherInvestment(BigDecimal otherInvestment) {
        this.otherInvestment = otherInvestment;
    }

    public BigDecimal getEstate() {
        return estate;
    }

    public void setEstate(BigDecimal estate) {
        this.estate = estate;
    }

    public BigDecimal getCar() {
        return car;
    }

    public void setCar(BigDecimal car) {
        this.car = car;
    }

    public BigDecimal getOthers() {
        return others;
    }

    public void setOthers(BigDecimal others) {
        this.others = others;
    }

    public BigDecimal getTotalAssets() {
        return totalAssets;
    }

    public void setTotalAssets(BigDecimal totalAssets) {
        this.totalAssets = totalAssets;
    }

    public BigDecimal getCreditCard() {
        return creditCard;
    }

    public void setCreditCard(BigDecimal creditCard) {
        this.creditCard = creditCard;
    }

    public BigDecimal getMicrofinance() {
        return microfinance;
    }

    public void setMicrofinance(BigDecimal microfinance) {
        this.microfinance = microfinance;
    }

    public BigDecimal getOtherLoan() {
        return otherLoan;
    }

    public void setOtherLoan(BigDecimal otherLoan) {
        this.otherLoan = otherLoan;
    }

    public BigDecimal getFinancialLoan() {
        return financialLoan;
    }

    public void setFinancialLoan(BigDecimal financialLoan) {
        this.financialLoan = financialLoan;
    }

    public BigDecimal getIndustryInvestmentLoan() {
        return industryInvestmentLoan;
    }

    public void setIndustryInvestmentLoan(BigDecimal industryInvestmentLoan) {
        this.industryInvestmentLoan = industryInvestmentLoan;
    }

    public BigDecimal getEstateInvestmentLoan() {
        return estateInvestmentLoan;
    }

    public void setEstateInvestmentLoan(BigDecimal estateInvestmentLoan) {
        this.estateInvestmentLoan = estateInvestmentLoan;
    }

    public BigDecimal getOtherInvestmentLoan() {
        return otherInvestmentLoan;
    }

    public void setOtherInvestmentLoan(BigDecimal otherInvestmentLoan) {
        this.otherInvestmentLoan = otherInvestmentLoan;
    }

    public BigDecimal getEstateLoan() {
        return estateLoan;
    }

    public void setEstateLoan(BigDecimal estateLoan) {
        this.estateLoan = estateLoan;
    }

    public BigDecimal getCarLoan() {
        return carLoan;
    }

    public void setCarLoan(BigDecimal carLoan) {
        this.carLoan = carLoan;
    }

    public BigDecimal getOthersLoan() {
        return othersLoan;
    }

    public void setOthersLoan(BigDecimal othersLoan) {
        this.othersLoan = othersLoan;
    }

    public BigDecimal getTotalLoan() {
        return totalLoan;
    }

    public void setTotalLoan(BigDecimal totalLoan) {
        this.totalLoan = totalLoan;
    }

    public BigDecimal getTotalNet() {
        return totalNet;
    }

    public void setTotalNet(BigDecimal totalNet) {
        this.totalNet = totalNet;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }
}