package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 客观题库表
 *
 * @author xcj
 * objective_question
 */
public class ObjectiveQuestion {
    @ApiModelProperty("客观题ID")
    private String objectiveId;

    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("章节名称")
    private String chapterName;

    @ApiModelProperty("来源（学校ID/内置）")
    private String source;

    @ApiModelProperty("题目类型（0单选，1多选，2判断）")
    private Integer type;

    @ApiModelProperty("分数")
    private BigDecimal score;

    @ApiModelProperty("选项A")
    private String questionA;

    @ApiModelProperty("选项B")
    private String questionB;

    @ApiModelProperty("选项C")
    private String questionC;

    @ApiModelProperty("选项D")
    private String questionD;

    @ApiModelProperty("选项E")
    private String questionE;

    @ApiModelProperty("答案")
    private String answer;

    @ApiModelProperty("所属大纲（普通题库/金融智能/银行从业）")
    private String outline;

    @ApiModelProperty("大纲子类（理论知识/专业能力公共基础/个人理财/风险管理/公司信贷/个人贷款）")
    private String subclass;

    public String getObjectiveId() {
        return objectiveId;
    }

    public void setObjectiveId(String objectiveId) {
        this.objectiveId = objectiveId == null ? null : objectiveId.trim();
    }

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName == null ? null : chapterName.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getQuestionA() {
        return questionA;
    }

    public void setQuestionA(String questionA) {
        this.questionA = questionA == null ? null : questionA.trim();
    }

    public String getQuestionB() {
        return questionB;
    }

    public void setQuestionB(String questionB) {
        this.questionB = questionB == null ? null : questionB.trim();
    }

    public String getQuestionC() {
        return questionC;
    }

    public void setQuestionC(String questionC) {
        this.questionC = questionC == null ? null : questionC.trim();
    }

    public String getQuestionD() {
        return questionD;
    }

    public void setQuestionD(String questionD) {
        this.questionD = questionD == null ? null : questionD.trim();
    }

    public String getQuestionE() {
        return questionE;
    }

    public void setQuestionE(String questionE) {
        this.questionE = questionE == null ? null : questionE.trim();
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer == null ? null : answer.trim();
    }

    public String getOutline() {
        return outline;
    }

    public void setOutline(String outline) {
        this.outline = outline == null ? null : outline.trim();
    }

    public String getSubclass() {
        return subclass;
    }

    public void setSubclass(String subclass) {
        this.subclass = subclass == null ? null : subclass.trim();
    }
}